Name:           pantheon-session-settings
Summary:        Pantheon session configuration files
Version:        27.0
Release:        1%{?dist}
License:        GPLv3

URL:            https://github.com/decathorpe/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils


Requires:       cerbere
Requires:       gala
Requires:       gnome-keyring
Requires:       gnome-session
Requires:       gnome-settings-daemon
Requires:       orca
Requires:       xdg-user-dirs-gtk

Obsoletes:      %{name}-wayland < 0.9.90-3


%description
Configuration files for the Pantheon desktop session.


%package        overrides
Summary:        Pantheon session default settings overrides

Requires:       %{name} = %{version}-%{release}
Requires:       google-roboto-mono-fonts
Requires:       open-sans-fonts

%description    overrides
Configuration files for the Pantheon desktop session.

This subpackage contains system-wide overrides for Pantheon-specific
default settings.


%prep
%autosetup


%build
# Nothing to do


%install
# Copy / create autostart entries for the Pantheon session
mkdir -p %{buildroot}/%{_sysconfdir}/xdg/autostart

rm autostart/cerbere.desktop
cp -p autostart/* %{buildroot}/%{_sysconfdir}/xdg/autostart/
ln -s %{_datadir}/applications/cerbere.desktop %{buildroot}/%{_sysconfdir}/xdg/autostart/cerbere.desktop

# Copy Pantheon gnome-session configuration files
mkdir -p %{buildroot}/%{_datadir}/gnome-session/sessions
cp -p gnome-session/* %{buildroot}/%{_datadir}/gnome-session/sessions/

# Copy list of default application overrides for Pantheon
mkdir -p %{buildroot}/%{_datadir}/pantheon/applications
cp -p applications/defaults.list %{buildroot}/%{_datadir}/pantheon/applications

# Copy Pantheon xsession configuration file
mkdir -p %{buildroot}/%{_datadir}/xsessions
cp -p xsessions/pantheon.desktop %{buildroot}/%{_datadir}/xsessions/

# Copy Overrides schema to appropriate location
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas
cp -p overrides/20-org.pantheon.desktop-interface.gschema.override %{buildroot}/%{_datadir}/glib-2.0/schemas/


# These scriptlets are needed because .override files don't trigger the schema recompilation
%postun    overrides
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans overrides
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files
%license COPYING

%config(noreplace) %{_sysconfdir}/xdg/autostart/*.desktop

%{_datadir}/gnome-session/sessions/pantheon.session
%{_datadir}/pantheon/
%{_datadir}/xsessions/pantheon.desktop

%files          overrides
%{_datadir}/glib-2.0/schemas/20-org.pantheon.desktop-interface.gschema.override


%changelog
* Sat Nov 11 2017 Fabio Valentini <decathorpe@gmail.com> - 27.0-1
- Update to version 27.0.

* Tue Aug 29 2017 Fabio Valentini <decathorpe@gmail.com> - 0.9.91-1
- Update to version 0.9.91.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.90-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 18 2017 Fabio Valentini <decathorpe@gmail.com> - 0.9.90-1
- Update to version 0.9.90.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 21 2017 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-1
- Update to version 0.9.2.

* Sat Jan 21 2017 Fabio Valentini <decathorpe@gmail.com>
- Fix License tag to match upstream license.

* Sat Jan 21 2017 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Update to version 0.9.1.

* Fri Jan 20 2017 Fabio Valentini <decathorpe@gmail.com> - 0.9-1
- Initial package.


